Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.impl
Class ExecutorQueryServiceImpl

    java.lang.Object
      org.jbpm.executor.impl.ExecutorQueryServiceImpl

All Implemented Interfaces:
  ExecutorQueryService

    public class ExecutorQueryServiceImpl

extends Object
implements ExecutorQueryService

Constructor Summary
`ExecutorQueryServiceImpl()`

Method Summary
`List<ErrorInfo>` | `getAllErrors()`
`List<RequestInfo>` | `getAllRequests()`
`List<RequestInfo>` | `getCancelledRequests()`
`List<RequestInfo>` | `getCompletedRequests()`
`List<ErrorInfo>` | `getErrorsByRequestId(Long requestId)`
`List<RequestInfo>` | `getFutureQueuedRequests()`
`List<RequestInfo>` | `getInErrorRequests()`
`List<RequestInfo>` | `getPendingRequestById(Long id)`
`List<RequestInfo>` | `getPendingRequests()`
`List<RequestInfo>` | `getQueuedRequests()`
`RequestInfo` | `getRequestById(Long id)`
`List<RequestInfo>` | `getRequestsByStatus(List<STATUS> statuses)`
`List<RequestInfo>` | `getRunningRequests()`
`void` | `setPm(JbpmServicesPersistenceManager pm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutorQueryServiceImpl

    public ExecutorQueryServiceImpl()

Method Detail

### setPm

    public void setPm(JbpmServicesPersistenceManager pm)

### getPendingRequests

    public List<RequestInfo> getPendingRequests()

  Specified by:
    `getPendingRequests` in interface `ExecutorQueryService`

### getPendingRequestById

    public List<RequestInfo> getPendingRequestById(Long id)

  Specified by:
    `getPendingRequestById` in interface `ExecutorQueryService`

### getRequestById

    public RequestInfo getRequestById(Long id)

  Specified by:
    `getRequestById` in interface `ExecutorQueryService`

### getRunningRequests

    public List<RequestInfo> getRunningRequests()

  Specified by:
    `getRunningRequests` in interface `ExecutorQueryService`

### getQueuedRequests

    public List<RequestInfo> getQueuedRequests()

  Specified by:
    `getQueuedRequests` in interface `ExecutorQueryService`

### getFutureQueuedRequests

    public List<RequestInfo> getFutureQueuedRequests()

  Specified by:
    `getFutureQueuedRequests` in interface `ExecutorQueryService`

### getCompletedRequests

    public List<RequestInfo> getCompletedRequests()

  Specified by:
    `getCompletedRequests` in interface `ExecutorQueryService`

### getInErrorRequests

    public List<RequestInfo> getInErrorRequests()

  Specified by:
    `getInErrorRequests` in interface `ExecutorQueryService`

### getCancelledRequests

    public List<RequestInfo> getCancelledRequests()

  Specified by:
    `getCancelledRequests` in interface `ExecutorQueryService`

### getAllErrors

    public List<ErrorInfo> getAllErrors()

  Specified by:
    `getAllErrors` in interface `ExecutorQueryService`

### getErrorsByRequestId

    public List<ErrorInfo> getErrorsByRequestId(Long requestId)

  Specified by:
    `getErrorsByRequestId` in interface `ExecutorQueryService`

### getAllRequests

    public List<RequestInfo> getAllRequests()

  Specified by:
    `getAllRequests` in interface `ExecutorQueryService`

### getRequestsByStatus

    public List<RequestInfo> getRequestsByStatus(List<STATUS> statuses)

  Specified by:
    `getRequestsByStatus` in interface `ExecutorQueryService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.